<?php
get_header();
$all_links = carbon_get_theme_option('ref_all');
?>


<section id="pages-inner_slid">
    <div class="pages-pin_main">
        <div class="pages-pin_left">
            <form target="_blank" action="<?php echo $all_links; ?>">
                <div class="pages-pin_left_form">
                    <div class="label">
                        <input type="text" placeholder="Найди свою игру..." name="s">
                        <button>
                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none">
                                <path d="M15.5 14H14.71L14.43 13.73C15.41 12.59 16 11.11 16 9.5C16 5.91 13.09 3 9.5 3C5.91 3 3 5.91 3 9.5C3 13.09 5.91 16 9.5 16C11.11 16 12.59 15.41 13.73 14.43L14 14.71V15.5L19 20.49L20.49 19L15.5 14ZM9.5 14C7.01 14 5 11.99 5 9.5C5 7.01 7.01 5 9.5 5C11.99 5 14 7.01 14 9.5C14 11.99 11.99 14 9.5 14Z"
                                      fill="#979797"></path>
                            </svg>
                        </button>
                    </div>
                </div>
            </form>

            <div class="reviews-min-info">
                <div class="pages-pin_left_scroll">
                    <?
                    $sport = get_terms([
                        'taxonomy' => 'sport',
                        'hide_empty' => false,
                        'parent' => 0
                    ]);
                    if ($sport):
                        ?>
                        <div class="see-table-shipping__main accordion" id="accordion">
                            <?php
                            foreach ($sport as $item) {
                                $add = '';
                                $sub = get_term_children($item->term_id, 'sport');
                                if ($sub)
                                    $add = 'link';

                                $image_att = carbon_get_term_meta($item->term_id, 'icon');
                                if ($image_att) {
                                    $image_src_html = '<img src="' . aq_resize(wp_get_attachment_image_url($image_att), 25, 25) . '" alt="">';
                                } else {
                                    $image_src_html = '<img src="' . get_template_directory_uri() . '/assets/img/dell.svg" alt="">';
                                }
                                ?>
                                <div class="table-shipping__item">
                                    <div class="table-shipping__box <?php echo $add; ?>">
                                        <div class="menu_box">
                                            <?php echo $image_src_html; ?>
                                        </div>
                                        <strong><a href="<?php echo get_term_link($item->term_id, 'sport') ?>"><?php echo $item->name; ?></a></strong>
                                    </div>

                                    <?php if ($add): ?>
                                        <div class="submenu">
                                            <?php
                                            $term = $item->term_id;
                                            $sport_sub = get_terms([
                                                'taxonomy' => 'sport',
                                                'hide_empty' => false,
                                                'parent' => $term
                                            ]);
                                            foreach ($sport_sub as $item_sub) {
                                                $image_sub_att = carbon_get_term_meta($item_sub->term_id, 'icon');
                                                if ($image_sub_att) {
                                                    $image_sub_src_html = '<img src="' . aq_resize(wp_get_attachment_image_url($image_sub_att), 25, 25, true, true, true) . '" alt="">';
                                                } else {
                                                    $image_sub_src_html = '<img src="' . get_template_directory_uri() . '/assets/img/dell.svg" alt="">';
                                                }
                                                ?>
                                                <a href="<?php echo get_term_link($item_sub->term_id, 'sport') ?>">
                                                    <?php echo $image_sub_src_html; ?>
                                                    <?php echo $item_sub->name; ?> (<?php echo $item_sub->count; ?>)
                                                </a>
                                            <?php } ?>
                                        </div>
                                    <?php endif; ?>

                                </div>
                            <?php } ?>

                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="pages-pin_center">
            <div class="casino-bonuses_text casino-bonuses_text_marg">
                <h1><?php echo single_cat_title(); ?></h1>
                <div class="hockey-free-bet">
                    <?php
                    if (have_posts()):
                        while (have_posts()): the_post();
                            get_template_part('loop/post_item');
                        endwhile;
                    endif; ?>
                </div>
                <div class="pagination"><?php pagination('<', '>'); ?></div>
                <?
                $category_description = category_description();
                if (category_description()):
                    echo apply_filters('the_content', $category_description);
                endif;
                ?>
                <a href="<?php echo $all_links; ?>" class="add-ticket" tabindex="0">сделать ставку</a>
            </div>
        </div>
        <?php $now = carbon_get_theme_option('now'); ?>
        <?php if ($now): ?>
            <div class="pages-pin_right">
                <?php foreach ($now as $item): ?>
                    <?php
                    $slide_att = $item['images'];
                    $slide_link = $item['name'];
                    $slide_src = wp_get_attachment_url($slide_att); ?>
                    <a href="<?php echo $slide_link; ?>" rel="nofollow" target="_blank">
                        <img src="<?php echo $slide_src; ?>" alt="image">
                    </a>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>
    </div>
</section>

<?php get_footer(); ?>
