<?php

use Carbon_Fields\Container;
use Carbon_Fields\Field;

add_action('carbon_fields_register_fields', 'crb_attach_theme_options');
function crb_attach_theme_options()
{
    /*Настройки шаблона*/
    Container::make('theme_options', "CyberSport")
        ->add_tab("Общие настройки", array(
            Field::make('text', 'ref_all', "Реферальная ссылка на все ссылки"),
            Field::make('text', 'home_count', "Сколько матчей выводить на главной в каждом табе?"),
            Field::make('association', 'tax_list', 'Выберите игры для вывода на главную табами')
                ->set_types(array(
                    array(
                        'type' => 'term',
                        'taxonomy' => 'sport',
                    ),
                )),
            Field::make('textarea', 'code', "Код в футере сайта"),

            Field::make('complex', 'now', "Баннеры справа в сайдбаре")
                ->add_fields(array(
                    Field::make('image', 'images', 'Картинка баннера'),
                    Field::make('text', 'name', "Ссылка при клике на баннер"),
                )),
        ))
        ->add_tab("Слайдер", array(
                Field::make('complex', 'slider', "Слайдер")
                    ->add_fields(array(
                        Field::make('image', 'images', 'Картинка слайдера'),
                        Field::make('text', 'link', "Ссылка при клике на слайдер"),
                    )),
            )
        )
        ->add_tab("Экспресс дня на главной странице", array(
                Field::make('complex', 'home_day', "Экспресс дня")->set_layout('tabbed-horizontal')
                    ->add_fields(array(
                        Field::make('complex', 'home_day_row', "Экспресс дня")
                            ->add_fields(array(
                                Field::make('date_time', 'data', "Дата и время события"),
                                Field::make('text', 'title', "Название события"),
                                Field::make('text', 'result', "Исход"),
                                Field::make('text', 'koef', "Коэфициент"),
                            )),
                    )),
            )
        );

    /*  forecast  */
    Container::make('post_meta', "Опции прогнозов")
        ->where('post_type', '=', 'forecast')
        ->add_fields(array(
            Field::make('date_time', 'data', "Дата и время события"),
            Field::make('text', 'ref', 'Реф ссылка(или берется в настройках общая)'),
            Field::make('text', 'name1', 'Название команды 1(для внутряка)')->set_width(50),
            Field::make('text', 'name2', 'Название команды 1(для внутряка)')->set_width(50),
            Field::make('text', 'p1', 'П1')->set_width(33),
            Field::make('text', 'x', "X")->set_width(33),
            Field::make('text', 'p2', "П2")->set_width(33),
            Field::make('complex', 'dop', "Дополнительные исходы")
                ->add_fields(array(
                    Field::make('text', 'ishod', 'Исход')->set_width(50),
                    Field::make('text', 'koef', "Коэфициент")->set_width(50),
                )),
        ));

    /*  term_taxonomy  */
    Container::make('term_meta', "Дополнительныее поля")
        ->where('term_taxonomy', '=', 'sport')
        ->add_fields(array(
            Field::make('image', 'icon', 'Иконка'),
        ));


}

add_action('after_setup_theme', 'crb_load');
function crb_load()
{
    require_once(get_template_directory() . '/inc/libs/carbon-fields/vendor/autoload.php');
    \Carbon_Fields\Carbon_Fields::boot();
}
