<?php
/*
  *
  * Template name: Главная
  * */
get_header();

$all_links = carbon_get_theme_option('ref_all');
?>

<section>
    <div class="pages-pin_main">
        <div class="pages-pin_left">
            <form target="_blank" action="<?php echo $all_links; ?>">
                <div class="pages-pin_left_form">
                    <div class="label">
                        <input type="text" placeholder="Найди свою игру..." name="s">
                        <button>
                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none">
                                <path d="M15.5 14H14.71L14.43 13.73C15.41 12.59 16 11.11 16 9.5C16 5.91 13.09 3 9.5 3C5.91 3 3 5.91 3 9.5C3 13.09 5.91 16 9.5 16C11.11 16 12.59 15.41 13.73 14.43L14 14.71V15.5L19 20.49L20.49 19L15.5 14ZM9.5 14C7.01 14 5 11.99 5 9.5C5 7.01 7.01 5 9.5 5C11.99 5 14 7.01 14 9.5C14 11.99 11.99 14 9.5 14Z"
                                      fill="#979797"></path>
                            </svg>
                        </button>
                    </div>
                </div>
            </form>

            <div class="pages-pin_left_scroll">

                <?
                $sport = get_terms([
                    'taxonomy' => 'sport',
                    'hide_empty' => false,
                    'parent' => 0
                ]);
                if ($sport):
                    ?>
                    <div class="see-table-shipping__main accordion" id="accordion">
                        <?php
                        foreach ($sport as $item) {
                            $add = '';
                            $sub = get_term_children($item->term_id, 'sport');
                            if ($sub)
                                $add = 'link';

                            $image_att = carbon_get_term_meta($item->term_id, 'icon');
                            if ($image_att) {
                                $image_src_html = '<img src="' . aq_resize(wp_get_attachment_image_url($image_att), 25, 25) . '" alt="">';
                            } else {
                                $image_src_html = '<img src="' . get_template_directory_uri() . '/assets/img/dell.svg" alt="">';
                            }
                            ?>
                            <div class="table-shipping__item">
                                <div class="table-shipping__box <?php echo $add; ?>">
                                    <div class="menu_box">
                                        <?php echo $image_src_html; ?>
                                    </div>
                                    <strong><a href="<?php echo get_term_link($item->term_id, 'sport') ?>"><?php echo $item->name; ?></a></strong>
                                </div>

                                <?php if ($add): ?>
                                    <div class="submenu">
                                        <?php
                                        $term = $item->term_id;
                                        $sport_sub = get_terms([
                                            'taxonomy' => 'sport',
                                            'hide_empty' => false,
                                            'parent' => $term
                                        ]);
                                        foreach ($sport_sub as $item_sub) {
                                            $image_sub_att = carbon_get_term_meta($item_sub->term_id, 'icon');
                                            if ($image_sub_att) {
                                                $image_sub_src_html = '<img src="' . aq_resize(wp_get_attachment_image_url($image_sub_att), 25, 25, true, true, true) . '" alt="">';
                                            } else {
                                                $image_sub_src_html = '<img src="' . get_template_directory_uri() . '/assets/img/dell.svg" alt="">';
                                            }
                                            ?>
                                            <a href="<?php echo get_term_link($item_sub->term_id, 'sport') ?>">
                                                <?php echo $image_sub_src_html; ?>
                                                <?php echo $item_sub->name; ?> (<?php echo $item_sub->count; ?>)
                                            </a>
                                        <?php } ?>
                                    </div>
                                <?php endif; ?>

                            </div>
                        <?php } ?>

                    </div>
                <?php endif; ?>
            </div>
        </div>
        <div class="pages-pin_center">

            <!--
            <div class="pages-pin_center_menu">
                <ul>
                    <li><a href="#">Главная</a></li>
                    <li><a href="#">События</a></li>
                    <li><a href="#">Live-список</a></li>
                    <li><a href="#">Просмотр</a></li>
                    <li><a href="#">Мультивид</a></li>
                    <li><a href="#">Календарь</a></li>
                    <li><a href="#">Результаты</a></li>
                    <li><a href="#">Live-Результаты</a></li>
                    <li><a href="#">Статистика</a></li>
                </ul>
            </div>
            -->
            <?php
            $slider = carbon_get_theme_option('slider');
            if ($slider):
                ?>
                <div class="pages-pin_center_slider">
                    <?php
                    foreach ($slider as $slide):
                        $slide_att = $slide['images'];
                        $url = $slide['link'];
                        if ($slide_att):
                            $slide_src = wp_get_attachment_url($slide_att);
                            ?>
                            <div class="pages-pin_center_slider-box">
                                <a href="<?php echo $url; ?>" class="pages-pin_center_href">
                                    <img src="<?php echo $slide_src; ?>" alt="">
                                </a>
                            </div>
                        <?php endif; ?>
                    <?php endforeach; ?>
                </div>
            <?php endif; ?>

            <?php $tax_list = carbon_get_theme_option('tax_list'); ?>
            <?php if ($tax_list): ?>
                <div class="nearest-matches">
                    <div class="nearest-matches_main">

                        <div class="nearest-matches_main_box">
                            <span>БЛИЖАЙШИЕ МАТЧИ</span>
                            <ul class="js-short-games">
                                <?php
                                $count = 1;

                                foreach ($tax_list as $item): ?>
                                    <?php
                                    $add = '';
                                    if ($count == 1) {
                                        $add = 'active';
                                    }

                                    $term_id = $item['id'];
                                    $term_image = carbon_get_term_meta($term_id, 'icon');
                                    if ($term_image):
                                        $term_src = wp_get_attachment_image_url($term_image);
                                    endif;
                                    ?>
                                    <li class="js-show-table <?php echo $add; ?>" data-id="table<?php echo $count; ?>">
                                        <a href="javascript:;">
                                            <img src="<?php echo $term_src; ?>" alt="">
                                        </a>
                                    </li>
                                    <?php $count++; endforeach; ?>
                            </ul>
                        </div>
                        <?php
                        $count = 1;
                        foreach ($tax_list as $item): ?>
                            <div id="table<?php echo $count++; ?>" class="nearest-matches_table">
                                <table>
                                    <thead>
                                    <tr>
                                        <td>Событие</td>
                                        <td>Время</td>
                                        <td>П1</td>
                                        <td>X</td>
                                        <td>П2</td>
                                        <td>Еще</td>
                                    </tr>
                                    </thead>
                                    <tbody>

                                    <?
                                    $term_id = $item['id'];
                                    wp_reset_query();
                                    $home_count = carbon_get_theme_option('home_count');
                                    if (!$home_count) {
                                        $home_count = 12;
                                    }
                                    $args = ['post_type' => 'forecast',
                                        'posts_per_page' => $home_count,
                                        'tax_query' => array(
                                            array(
                                                'taxonomy' => 'sport',
                                                'field' => 'id',
                                                'terms' => $term_id
                                            )
                                        )];
                                    $query = new WP_Query($args);
                                    while ($query->have_posts()): $query->the_post();
                                        $data = carbon_get_post_meta(get_the_ID(), 'data');
                                        $p1 = carbon_get_post_meta(get_the_ID(), 'p1');
                                        $x = carbon_get_post_meta(get_the_ID(), 'x');
                                        $p2 = carbon_get_post_meta(get_the_ID(), 'p2');
                                        $ref = carbon_get_post_meta(get_the_ID(), 'ref');
                                        if (!$ref) {
                                            $ref = carbon_get_theme_option('ref_all');
                                        }
                                        $koef_count = count(carbon_get_post_meta(get_the_ID(), 'dop'));

                                        ?>
                                        <tr>
                                            <td><?php echo get_the_title(); ?></td>
                                            <td>
                                                <?php if ($data): ?>
                                                    <span><?php echo date('d.m', strtotime($data)); ?></span>
                                                    <span><?php echo date('h:i', strtotime($data)); ?></span>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if ($p1): ?>
                                                    <a href="<?php echo $ref; ?>" class="nearest-matches_re"
                                                       target="_blank"
                                                       rel="nofollow">
                                                        <?php echo $p1; ?>
                                                    </a>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if ($x): ?>
                                                    <a href="<?php echo $ref; ?>" class="nearest-matches_re"
                                                       target="_blank"
                                                       rel="nofollow">
                                                        <?php echo $x; ?>
                                                    </a>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if ($p2): ?>
                                                    <a href="<?php echo $ref; ?>" class="nearest-matches_re"
                                                       target="_blank"
                                                       rel="nofollow">
                                                        <?php echo $p2; ?>
                                                    </a>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <a href="<?php echo get_the_permalink() ?>"
                                                   class="nearest-matches_bord">+<?php echo $koef_count; ?></a>
                                            </td>
                                        </tr>
                                    <? endwhile; ?>
                                    </tbody>
                                </table>
                            </div>
                        <?php endforeach ?>
                    </div>


                    <?php $home_day = carbon_get_theme_option('home_day'); ?>
                    <?php $count = 1; ?>
                    <?php if ($home_day): ?>
                        <div class="nearest-matches_info">
                            <span>ЭКСПРЕСС ДНЯ</span>
                            <div class="express-of-day_slider">
                                <?php foreach ($home_day as $item): ?>
                                    <div class="express-of-day_slider-box">
                                        <div class="express-of-day">
                                            <div class="express-of-day_in">
                                                <p>Экспресс N<?php echo $count++ ?></p>
                                            </div>
                                            <?php $home_row = $item['home_day_row']; ?>
                                            <?php foreach ($home_row as $item_row) { ?>
                                                <div class="express-of-day_main">
                                                    <div class="express-of-day_icon">
                                                        <img src="<?php echo get_template_directory_uri() ?>/assets/img/unnamed.png"
                                                             alt="">
                                                        <div class="express-of-day_data">
                                                            <span><?php echo date('H:i', strtotime($item_row['data'])); ?></span>
                                                            <span> <?php echo date('d.m', strtotime($item_row['data'])); ?></span>
                                                        </div>
                                                        <p><?php echo $item_row['title']; ?></p>
                                                    </div>
                                                    <div class="express-of-day_number">
                                                        <p>Исход : <?php echo $item_row['result']; ?></p>
                                                        <a href="<?php echo $all_links; ?>" class="nearest-matches_re"
                                                           target="_blank" rel="nofollow">
                                                            <?php echo $item_row['koef']; ?>
                                                        </a>
                                                    </div>
                                                </div>
                                            <?php } ?>
                                            <div class="express-of-day_main day_icon-gift">
                                                <div class="express-of-day_icon">
                                                    <img src="<?php echo get_template_directory_uri() ?>/assets/img/gift.svg"
                                                         alt="">
                                                    <p>
                                                        Бонус от Pin UP
                                                    </p>
                                                </div>
                                                <div class="express-of-day_number">
                                                    <a href="<?php echo $all_links; ?>"
                                                       class="nearest-matches_re">1.44</a>
                                                </div>
                                            </div>
                                            <a href="<?php echo $all_links; ?>" target="_blank" rel="nofollow"
                                               class="add-ticket">Добавить в билет</a>
                                        </div>
                                    </div>
                                <?php endforeach; ?>
                            </div>
                        </div>
                    <?php endif; ?>

                </div>
            <?php endif; ?>
            <div class="casino-bonuses_text">
                <?
                wp_reset_query();
                while (have_posts()):the_post();
                    the_content();
                endwhile;
                ?>
            </div>
        </div>
        <?php $now = carbon_get_theme_option('now'); ?>
        <?php if ($now): ?>
            <div class="pages-pin_right">
                <?php foreach ($now as $item): ?>
                    <?php
                    $slide_att = $item['images'];
                    $slide_link = $item['name'];
                    $slide_src = wp_get_attachment_url($slide_att); ?>
                    <a href="<?php echo $slide_link; ?>" rel="nofollow" target="_blank">
                        <img src="<?php echo $slide_src; ?>" alt="image">
                    </a>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>
    </div>
</section>

<?php get_footer(); ?>
